Loading...
Searching...
No Matches
details.h File Reference
`#include <RDGeneral/export.h>`
`#include <GraphMol/Atom.h>`
`#include <GraphMol/Bond.h>`
`#include <GraphMol/StereoGroup.h>`

Go to the source code of this file.

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::MolInterchange

## Variables

constexpr int | RDKit::MolInterchange::currentMolJSONVersion = 10
constexpr int | RDKit::MolInterchange::currentRDKitJSONVersion = 11
constexpr int | RDKit::MolInterchange::currentRDKitRepresentationVersion = 2
constexpr int | RDKit::MolInterchange::currentChargeRepresentationVersion = 10
constexpr int | RDKit::MolInterchange::currentQueryRepresentationVersion = 10
static const std::map< std::string, Atom::ChiralType > | RDKit::MolInterchange::chilookup
static const std::map< Atom::ChiralType, std::string > | RDKit::MolInterchange::inv_chilookup
static const std::map< unsigned int, Bond::BondType > | RDKit::MolInterchange::bolookup
static const std::map< Bond::BondType, unsigned int > | RDKit::MolInterchange::inv_bolookup
static const std::map< std::string, Bond::BondStereo > | RDKit::MolInterchange::stereoBondlookup
static const std::map< Bond::BondStereo, std::string > | RDKit::MolInterchange::inv_stereoBondlookup
static const std::map< std::string, StereoGroupType > | RDKit::MolInterchange::stereoGrouplookup
static const std::map< StereoGroupType, std::string > | RDKit::MolInterchange::inv_stereoGrouplookup